<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:fimbankplc="http://fimbankplc.com/xbrl/2024" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" targetNamespace="http://fimbankplc.com/xbrl/2024" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" namespace="http://www.xbrl.org/dtr/type/2020-01-21" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="529900Q2C3I7VCILLG45-2024-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="529900Q2C3I7VCILLG45-2024-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="529900Q2C3I7VCILLG45-2024-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="529900Q2C3I7VCILLG45-2024-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://fimbankplc.com/xbrl/2024/roles/NotesAndMandatoryItems">
        <link:definition>01 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://fimbankplc.com/xbrl/2024/roles/StatementOfFinancialPosition">
        <link:definition>02 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ProfitOrLoss" roleURI="http://fimbankplc.com/xbrl/2024/roles/ProfitOrLoss">
        <link:definition>03 - Profit or loss</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://fimbankplc.com/xbrl/2024/roles/StatementOfComprehensiveIncome">
        <link:definition>04 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://fimbankplc.com/xbrl/2024/roles/StatementOfChangesInEquity">
        <link:definition>05 - Statement of changes in equity</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://fimbankplc.com/xbrl/2024/roles/StatementOfCashFlows">
        <link:definition>06 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://fimbankplc.com/xbrl/2024/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="fimbankplc_BalancesWithTheCentralBankOfMaltaTreasuryBillsAndCash" xbrli:balance="debit" xbrli:periodType="instant" name="BalancesWithTheCentralBankOfMaltaTreasuryBillsAndCash" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_PrepaymentsAccruedIncomeAndOtherAssets" xbrli:balance="debit" xbrli:periodType="instant" name="PrepaymentsAccruedIncomeAndOtherAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_AccrualsDeferredIncomeAndOtherLiabilities" xbrli:balance="credit" xbrli:periodType="instant" name="AccrualsDeferredIncomeAndOtherLiabilities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_FairValueReserve" xbrli:balance="credit" xbrli:periodType="instant" name="FairValueReserve" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_Commitments" xbrli:balance="credit" xbrli:periodType="instant" name="Commitments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_NetOperatingIncome" xbrli:balance="credit" xbrli:periodType="duration" name="NetOperatingIncome" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_OtherMovementsInComprehensiveIncome" xbrli:balance="credit" xbrli:periodType="duration" name="OtherMovementsInComprehensiveIncome" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_FairValueReserveMember" xbrli:periodType="duration" abstract="true" name="FairValueReserveMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="fimbankplc_InterestAndCommissionReceipts" xbrli:balance="debit" xbrli:periodType="duration" name="InterestAndCommissionReceipts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_InterestAndCommissionPayments" xbrli:balance="credit" xbrli:periodType="duration" name="InterestAndCommissionPayments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_AdjustmentsForLoansAndAdvancesToCustomersAndBanks" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForLoansAndAdvancesToCustomersAndBanks" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_AdjustmentsForAmountsOwedToCustomersInstitutionsAndBanks" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForAmountsOwedToCustomersInstitutionsAndBanks" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_PaymentsToAcquireTradingAssetsClassifiedAsOperatingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PaymentsToAcquireTradingAssetsClassifiedAsOperatingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_ProceedsOnSettlementOfTradingAssetsClassifiedAsOperatingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsOnSettlementOfTradingAssetsClassifiedAsOperatingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_PaymentsToAcquireFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PaymentsToAcquireFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_PaymentsToAcquireTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PaymentsToAcquireTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsOnDisposalOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncomeClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_ProceedsOnDisposalOfFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsOnDisposalOfFinancialAssetsAtAmortisedCostClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_ProceedsOnDisposalOfTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsOnDisposalOfTreasuryBillsAtAmortisedCostClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_DecreaseIncreaseInCashAndCashEquivalentsCF" xbrli:balance="debit" xbrli:periodType="duration" name="DecreaseIncreaseInCashAndCashEquivalentsCF" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_DecreaseIncreaseInCashAndCashEquivalentsBF" xbrli:balance="debit" xbrli:periodType="duration" name="DecreaseIncreaseInCashAndCashEquivalentsBF" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="fimbankplc_EffectOfRealisedExchangesGainsLossesArisingFromCashMovementsDuringTheYear" xbrli:balance="debit" xbrli:periodType="duration" name="EffectOfRealisedExchangesGainsLossesArisingFromCashMovementsDuringTheYear" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
</xs:schema>